<?php
namespace Qii\Driver\Entity;
/**
 * 接口
 */
interface Inf {
    public function defaultFieldsValue();
    /**
     * 设置主键
     *
     * @return mixed
     */
    public function primaryKey();

    /**
     * 设置保存时候唯一性验证
     *
     * @return mixed
     */
    public function uniqueKey();

    /**
     * 设置更新时，验证唯一时候，排除的数据
     *
     * @return mixed
     */
    public function exclude();

    /**
     * 分页order by
     *
     * @return mixed
     */
    public function orderBy();

    /**
     * 保存的时候验证的字段
     *
     * @return mixed
     */
    public function validFieldsForAdd();

    /**
     * 保存的时候验证的字段
     *
     * @return mixed
     */
    public function validFieldsForUpdate();
}